Name:          apacheds-ldap-client
Version:       0.1
Release:       10%{?dist}
Summary:       ApacheDS LDAP Client API
License:       ASL 2.0
Url:           http://directory.apache.org/
# svn export http://svn.apache.org/repos/asf/directory/clients/ldap/tags/0.1/ apacheds-ldap-client-0.1
# tar czf apacheds-ldap-client-0.1-src-svn.tar.gz apacheds-ldap-client-0.1
Source0:       apacheds-ldap-client-0.1-src-svn.tar.gz
# apacheds-ldap-client package don't include the license file
Source1:       http://www.apache.org/licenses/LICENSE-2.0.txt
# use the apacheds shared ldap apis
Patch0:        apacheds-ldap-client-0.1-api-LdapConnection.patch

BuildRequires: apache-commons-pool
BuildRequires: apache-mina
BuildRequires: apacheds-shared
BuildRequires: directory-project
BuildRequires: junit
BuildRequires: maven-local
BuildArch:     noarch

%description
ApacheDS is an extensible and embeddable directory server
entirely written in Java, which has been certified LDAPv3
compatible by the Open Group. Besides LDAP it supports
Kerberos 5 and the Change Password Protocol. It has been
designed to introduce triggers, stored procedures, queues and
views to the world of LDAP which has lacked these rich
constructs. 

This package contains the ApacheDS LDAP Client API.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q
%patch0 -p0
# cleanup
find . -name "*.jar" -delete
find . -name "*.class" -delete

cp -p %{SOURCE1} .
sed -i 's/\r//' LICENSE-2.0.txt

%mvn_file :ldap-client-api apacheds/ldap-client-api

%build

%mvn_build

%install
%mvn_install

%files -f .mfiles
%license LICENSE-2.0.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE-2.0.txt

%changelog
* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Jan 29 2015 gil cattaneo <puntogil@libero.it> 0.1-9
- introduce license macro

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Mar 28 2014 Michael Simacek <msimacek@redhat.com> - 0.1-7
- Use Requires: java-headless rebuild (#1067528)

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Jul 05 2013 gil cattaneo <puntogil@libero.it> 0.1-5
- switch to XMvn
- minor changes to adapt to current guideline

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 0.1-3
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local

* Tue Aug 21 2012 gil cattaneo <puntogil@libero.it> 0.1-2
- Installed license file
- Added maven-surefire-provider-junit4 as buildrequires

* Sun May 20 2012 gil cattaneo <puntogil@libero.it> 0.1-1
- initial rpm
